eID middleware |

# be::portugal::eid Namespace Reference

## Classes
class | PTEID_Biometric
| Abstract base class for the biometric documents. More...
class | PTEID_ByteArray
| This class is used to receive/pass bytes array from/to different method in the SDK. More...
class | PTEID_Card
| Abstract base class for all the card type supported. More...
class | PTEID_CardVersionInfo
| Class for the info document. More...
class | PTEID_Certificate
| Class that represent one certificate. More...
class | PTEID_Certificates
| Container class for all certificates on the card. More...
class | PTEID_Config
| Class to access the config parameters. More...
class | PTEID_Crl
| Class that represents one CRL. More...
class | PTEID_Crypto
| Abstract base class for the cryptographic documents. More...
class | PTEID_EId
| Class for the id document on a EID Card. More...
class | PTEID_EIDCard
| This class represents a Portugal EID card. More...
class | PTEID_EIdFullDoc
| Class for the full document Eid. More...
class | PTEID_ExBadTransaction
| Exception class Bad Transaction (error code = EIDMW_ERR_BAD_TRANSACTION). More...
class | PTEID_ExBadUsage
| Exception class Bad Usage (error code = EIDMW_ERR_BAD_USAGE). More...
class | PTEID_ExCardBadType
| Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD). More...
class | PTEID_ExCardChanged
| Exception class Card changed (error code = EIDMW_ERR_CARD_CHANGED). More...
class | PTEID_ExCardTypeUnknown
| Exception class Card Type Unknown (error code = EIDMW_ERR_CARDTYPE_UNKNOWN). More...
class | PTEID_Exception
| Base class for the PTEID SDK Exceptions. More...
class | PTEID_ExCertNoCrl
| Exception class Certificate No CRL (error code = EIDMW_ERR_CERT_NOCRL). More...
class | PTEID_ExCertNoIssuer
| Exception class Certificate No Issuer (error code = EIDMW_ERR_CERT_NOISSUER). More...
class | PTEID_ExCertNoOcsp
| Exception class Certificate No OCSP responder (error code = EIDMW_ERR_CERT_NOOCSP). More...
class | PTEID_ExCertNoRoot
| Exception class Certificate No OCSP responder (error code = EIDMW_ERR_CERT_NOROOT). More...
class | PTEID_ExCmdNotAllowed
| Exception class Command Not Allowed (error code = EIDMW_ERR_CMD_NOT_ALLOWED). More...
class | PTEID_ExCmdNotSupported
| Exception class Command Not Supported (error code = EIDMW_ERR_NOT_SUPPORTED). More...
class | PTEID_ExDocTypeUnknown
| Exception class Document Type Unknown (error code = EIDMW_ERR_DOCTYPE_UNKNOWN). More...
class | PTEID_ExFileTypeUnknown
| Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN). More...
class | PTEID_ExNoCardPresent
| Exception class No Card Present (error code = EIDMW_ERR_NO_CARD). More...
class | PTEID_ExNoReader
| Exception class No reader (error code = EIDMW_ERR_NO_READER). More...
class | PTEID_ExNotAllowByUser
| Exception class Not allow by user (error code = EIDMW_ERR_NOT_ALLOW_BY_USER). More...
class | PTEID_ExParamRange
| Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE). More...
class | PTEID_ExReaderSetChanged
| Exception class Readerset changed (error code = EIDMW_ERR_READERSET_CHANGED). More...
class | PTEID_ExReleaseNeeded
| Exception class Release Needed (error code = EIDMW_ERR_RELEASE_NEEDED). More...
class | PTEID_ExUnknown
| Exception class Release Needed (error code = EIDMW_ERR_UNKNOWN). More...
class | PTEID_ExUserMustAnswer
| Exception class User must answer (error code = EIDMW_ERR_USER_MUST_ANSWER). More...
class | PTEID_ForeignerCard
| This class represents a Foreigner card which is a particular PTEID_EIDCard. More...
class | PTEID_KidsCard
| This class represents a Kids card which is a particular PTEID_EIDCard. More...
class | PTEID_MemoryCard
| Abstract base class for Memory card. More...
class | PTEID_Object
| Base class for the object of PTEID SDK (Can not be instantiated). More...
class | PTEID_OcspResponse
| Class that represents one OCSP Response. More...
class | PTEID_Picture
| Class for the picture document on a EID Card. More...
class | PTEID_Pin
| Class that represent one Pin. More...
class | PTEID_Pins
| Container class for all pins on the card. More...
class | PTEID_RawData_Eid
class | PTEID_RawData_Sis
class | PTEID_ReaderContext
| This class represent a reader. More...
class | PTEID_ReaderSet
| This is a singleton class that is the starting point to get all other objects. More...
class | PTEID_SISCard
| This class represents a SIS card. More...
class | PTEID_SisFullDoc
| Class for the full document Sis. More...
class | PTEID_SisId
| Class for the id document on a SIS Card. More...
class | PTEID_SmartCard
| Abstract base class for Smart card. More...
class | PTEID_XMLDoc
| Abstract base class for all the documents. More...
class | pteidlib_dotNet
## Enumerations
enum | PTEID_CardType { PTEID_CARDTYPE_UNKNOWN = 0, PTEID_CARDTYPE_EID, PTEID_CARDTYPE_KIDS, PTEID_CARDTYPE_FOREIGNER, PTEID_CARDTYPE_SIS }
enum | PTEID_CertifStatus { PTEID_CERTIF_STATUS_UNKNOWN = 0, PTEID_CERTIF_STATUS_REVOKED, PTEID_CERTIF_STATUS_TEST, PTEID_CERTIF_STATUS_DATE, PTEID_CERTIF_STATUS_CONNECT, PTEID_CERTIF_STATUS_ISSUER, PTEID_CERTIF_STATUS_ERROR, PTEID_CERTIF_STATUS_VALID, PTEID_CERTIF_STATUS_VALID_CRL, PTEID_CERTIF_STATUS_VALID_OCSP }
enum | PTEID_CertifType { PTEID_CERTIF_TYPE_UNKNOWN, PTEID_CERTIF_TYPE_RRN, PTEID_CERTIF_TYPE_ROOT, PTEID_CERTIF_TYPE_CA, PTEID_CERTIF_TYPE_AUTHENTICATION, PTEID_CERTIF_TYPE_SIGNATURE }
enum | PTEID_CrlStatus { PTEID_CRL_STATUS_UNKNOWN, PTEID_CRL_STATUS_VALID, PTEID_CRL_STATUS_CONNECT, PTEID_CRL_STATUS_ERROR }
enum | PTEID_DocumentType { PTEID_DOCTYPE_FULL = 0, PTEID_DOCTYPE_ID, PTEID_DOCTYPE_PICTURE, PTEID_DOCTYPE_INFO, PTEID_DOCTYPE_PINS, PTEID_DOCTYPE_CERTIFICATES }
enum | PTEID_FileType { PTEID_FILETYPE_UNKNOWN = 0, PTEID_FILETYPE_TLV, PTEID_FILETYPE_XML, PTEID_FILETYPE_CSV }
enum | PTEID_HashAlgo { PTEID_ALGO_MD5, PTEID_ALGO_SHA1 }
enum | PTEID_LogLevel { PTEID_LOG_LEVEL_CRITICAL, PTEID_LOG_LEVEL_ERROR, PTEID_LOG_LEVEL_WARNING, PTEID_LOG_LEVEL_INFO, PTEID_LOG_LEVEL_DEBUG }
enum | PTEID_Param { PTEID_PARAM_GENERAL_INSTALLDIR, PTEID_PARAM_GENERAL_INSTALL_PRO_DIR, PTEID_PARAM_GENERAL_INSTALL_SDK_DIR, PTEID_PARAM_GENERAL_CACHEDIR, PTEID_PARAM_GENERAL_LANGUAGE, PTEID_PARAM_LOGGING_DIRNAME, PTEID_PARAM_LOGGING_PREFIX, PTEID_PARAM_LOGGING_FILENUMBER, PTEID_PARAM_LOGGING_FILESIZE, PTEID_PARAM_LOGGING_LEVEL, PTEID_PARAM_LOGGING_GROUP, PTEID_PARAM_CRL_SERVDOWNLOADNR, PTEID_PARAM_CRL_TIMEOUT, PTEID_PARAM_CRL_CACHEDIR, PTEID_PARAM_CRL_CACHEFILE, PTEID_PARAM_CRL_LOCKFILE, PTEID_PARAM_CERTVALID_ALLOWTESTC, PTEID_PARAM_CERTVALID_CRL, PTEID_PARAM_CERTVALID_OCSP, PTEID_PARAM_CERTCACHE_CACHEFILE, PTEID_PARAM_CERTCACHE_LINENUMB, PTEID_PARAM_CERTCACHE_VALIDITY, PTEID_PARAM_CERTCACHE_WAITDELAY, PTEID_PARAM_PROXY_HOST, PTEID_PARAM_PROXY_PORT, PTEID_PARAM_PROXY_PACFILE, PTEID_PARAM_SECURITY_SINGLESIGNON, PTEID_PARAM_GUITOOL_STARTWIN, PTEID_PARAM_GUITOOL_STARTMINI, PTEID_PARAM_GUITOOL_SHOWPIC, PTEID_PARAM_GUITOOL_SHOWTBAR, PTEID_PARAM_GUITOOL_VIRTUALKBD, PTEID_PARAM_GUITOOL_AUTOCARDREAD, PTEID_PARAM_GUITOOL_CARDREADNUMB, PTEID_PARAM_GUITOOL_REGCERTIF, PTEID_PARAM_GUITOOL_REMOVECERTIF, PTEID_PARAM_XSIGN_TSAURL, PTEID_PARAM_XSIGN_ONLINE, PTEID_PARAM_XSIGN_WORKINGDIR, PTEID_PARAM_XSIGN_TIMEOUT }
enum | PTEID_PinUsage { PTEID_PIN_USG_UNKNOWN, PTEID_PIN_USG_AUTH, PTEID_PIN_USG_SIGN, PTEID_PIN_USG_ADDRESS }
enum | PTEID_RawDataType { PTEID_RAWDATA_ID = 0, PTEID_RAWDATA_ID_SIG, PTEID_RAWDATA_ADDR, PTEID_RAWDATA_ADDR_SIG, PTEID_RAWDATA_PICTURE, PTEID_RAWDATA_CARD_INFO, PTEID_RAWDATA_TOKEN_INFO, PTEID_RAWDATA_CERT_RRN, PTEID_RAWDATA_CHALLENGE, PTEID_RAWDATA_RESPONSE }
enum | PTEID_ValidationLevel { PTEID_VALIDATION_LEVEL_NONE = 0, PTEID_VALIDATION_LEVEL_OPTIONAL, PTEID_VALIDATION_LEVEL_MANDATORY }
enum | PTEID_ValidationProcess { PTEID_VALIDATION_PROCESS_NONE = 0, PTEID_VALIDATION_PROCESS_CRL, PTEID_VALIDATION_PROCESS_OCSP }

## Enumeration Type Documentation

enum be::portugal::eid::PTEID_CardType

Enumerator:

  PTEID_CARDTYPE_UNKNOWN | Unknown card.
  PTEID_CARDTYPE_EID | Normal eid card.
  PTEID_CARDTYPE_KIDS | Kids eid card.
  PTEID_CARDTYPE_FOREIGNER | Foreigner eid card.
  PTEID_CARDTYPE_SIS | Sis card.

enum be::portugal::eid::PTEID_CertifStatus

Enumerator:

  PTEID_CERTIF_STATUS_UNKNOWN | Validity unknown.
  PTEID_CERTIF_STATUS_REVOKED | Revoked certificate.
  PTEID_CERTIF_STATUS_TEST | Test certificate.
  PTEID_CERTIF_STATUS_DATE | Certificate no more valid.
  PTEID_CERTIF_STATUS_CONNECT | Connection problem.
  PTEID_CERTIF_STATUS_ISSUER | An issuer is missing in the chain.
  PTEID_CERTIF_STATUS_ERROR | Error during validation.
  PTEID_CERTIF_STATUS_VALID | Valid certificate.
  PTEID_CERTIF_STATUS_VALID_CRL | Valid certificate through CRL process.
  PTEID_CERTIF_STATUS_VALID_OCSP | Valid certificate through OCSP process.

enum be::portugal::eid::PTEID_CertifType

Enumerator:

  PTEID_CERTIF_TYPE_UNKNOWN | UNKNOWN certificate.
  PTEID_CERTIF_TYPE_RRN | RRN certificate.
  PTEID_CERTIF_TYPE_ROOT | Root certificate.
  PTEID_CERTIF_TYPE_CA | CA certificate.
  PTEID_CERTIF_TYPE_AUTHENTICATION | Authentication certificate.
  PTEID_CERTIF_TYPE_SIGNATURE | Signature certificate.

enum be::portugal::eid::PTEID_CrlStatus

Enumerator:

  PTEID_CRL_STATUS_UNKNOWN | Validity unknown.
  PTEID_CRL_STATUS_VALID | Valid Crl.
  PTEID_CRL_STATUS_CONNECT | Connection problem.
  PTEID_CRL_STATUS_ERROR | Error during validation.

enum be::portugal::eid::PTEID_DocumentType

Enumerator:

  PTEID_DOCTYPE_FULL | Full document : usefull for XML/CSV/TLV export.
  PTEID_DOCTYPE_ID | ID document : usefull to get value by field.
  PTEID_DOCTYPE_PICTURE | picture document (if available)
  PTEID_DOCTYPE_INFO | info on the card (if available)
  PTEID_DOCTYPE_PINS | pins containert (if available)
  PTEID_DOCTYPE_CERTIFICATES | certificates containert (if available)

enum be::portugal::eid::PTEID_FileType

Enumerator:

  PTEID_FILETYPE_UNKNOWN |
  PTEID_FILETYPE_TLV |
  PTEID_FILETYPE_XML |
  PTEID_FILETYPE_CSV |

enum be::portugal::eid::PTEID_HashAlgo

Enumerator:

  PTEID_ALGO_MD5 | 16-byte hash
  PTEID_ALGO_SHA1 | 20-byte hash

enum be::portugal::eid::PTEID_LogLevel

Enumerator:

  PTEID_LOG_LEVEL_CRITICAL |
  PTEID_LOG_LEVEL_ERROR |
  PTEID_LOG_LEVEL_WARNING |
  PTEID_LOG_LEVEL_INFO |
  PTEID_LOG_LEVEL_DEBUG |

enum be::portugal::eid::PTEID_Param

Enumerator:

  PTEID_PARAM_GENERAL_INSTALLDIR |
  PTEID_PARAM_GENERAL_INSTALL_PRO_DIR |
  PTEID_PARAM_GENERAL_INSTALL_SDK_DIR |
  PTEID_PARAM_GENERAL_CACHEDIR |
  PTEID_PARAM_GENERAL_LANGUAGE |
  PTEID_PARAM_LOGGING_DIRNAME |
  PTEID_PARAM_LOGGING_PREFIX |
  PTEID_PARAM_LOGGING_FILENUMBER |
  PTEID_PARAM_LOGGING_FILESIZE |
  PTEID_PARAM_LOGGING_LEVEL |
  PTEID_PARAM_LOGGING_GROUP |
  PTEID_PARAM_CRL_SERVDOWNLOADNR |
  PTEID_PARAM_CRL_TIMEOUT |
  PTEID_PARAM_CRL_CACHEDIR |
  PTEID_PARAM_CRL_CACHEFILE |
  PTEID_PARAM_CRL_LOCKFILE |
  PTEID_PARAM_CERTVALID_ALLOWTESTC |
  PTEID_PARAM_CERTVALID_CRL |
  PTEID_PARAM_CERTVALID_OCSP |
  PTEID_PARAM_CERTCACHE_CACHEFILE |
  PTEID_PARAM_CERTCACHE_LINENUMB |
  PTEID_PARAM_CERTCACHE_VALIDITY |
  PTEID_PARAM_CERTCACHE_WAITDELAY |
  PTEID_PARAM_PROXY_HOST |
  PTEID_PARAM_PROXY_PORT |
  PTEID_PARAM_PROXY_PACFILE |
  PTEID_PARAM_SECURITY_SINGLESIGNON |
  PTEID_PARAM_GUITOOL_STARTWIN |
  PTEID_PARAM_GUITOOL_STARTMINI |
  PTEID_PARAM_GUITOOL_SHOWPIC |
  PTEID_PARAM_GUITOOL_SHOWTBAR |
  PTEID_PARAM_GUITOOL_VIRTUALKBD |
  PTEID_PARAM_GUITOOL_AUTOCARDREAD |
  PTEID_PARAM_GUITOOL_CARDREADNUMB |
  PTEID_PARAM_GUITOOL_REGCERTIF |
  PTEID_PARAM_GUITOOL_REMOVECERTIF |
  PTEID_PARAM_XSIGN_TSAURL |
  PTEID_PARAM_XSIGN_ONLINE |
  PTEID_PARAM_XSIGN_WORKINGDIR |
  PTEID_PARAM_XSIGN_TIMEOUT |

enum be::portugal::eid::PTEID_PinUsage

Enumerator:

  PTEID_PIN_USG_UNKNOWN |
  PTEID_PIN_USG_AUTH |
  PTEID_PIN_USG_SIGN |
  PTEID_PIN_USG_ADDRESS |

enum be::portugal::eid::PTEID_RawDataType

Enumerator:

  PTEID_RAWDATA_ID |
  PTEID_RAWDATA_ID_SIG |
  PTEID_RAWDATA_ADDR |
  PTEID_RAWDATA_ADDR_SIG |
  PTEID_RAWDATA_PICTURE |
  PTEID_RAWDATA_CARD_INFO |
  PTEID_RAWDATA_TOKEN_INFO |
  PTEID_RAWDATA_CERT_RRN |
  PTEID_RAWDATA_CHALLENGE |
  PTEID_RAWDATA_RESPONSE |

enum be::portugal::eid::PTEID_ValidationLevel

Enumerator:

  PTEID_VALIDATION_LEVEL_NONE |
  PTEID_VALIDATION_LEVEL_OPTIONAL |
  PTEID_VALIDATION_LEVEL_MANDATORY |

enum be::portugal::eid::PTEID_ValidationProcess

Enumerator:

  PTEID_VALIDATION_PROCESS_NONE |
  PTEID_VALIDATION_PROCESS_CRL |
  PTEID_VALIDATION_PROCESS_OCSP |